Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc.ant
Class XJavadocTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask

public abstract class XJavadocTask
extends org.apache.tools.ant.Task

This class should be subclassed to be used for XDocletImpl, revXDoclet etc.

Author:
  Aslak Hellesøy, Ara Abrahamian

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`XJavadocTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Ant's <fileset> definition.
`Object` | `createIgnoredtag()` Ignores one tag
`void` | `execute()` Implementation of Ant's `Task.execute()`.
`protected String` | `getClasspath()` Returns the classpath
`protected XJavaDoc` | `getXJavaDoc()`
`void` | `setDocencoding(String enc)` set generated file charset
`void` | `setEncoding(String enc)` set source file charset
`void` | `setIgnoredtags(String tags)` Sets the tags to ignore if validation is true.
`void` | `setValidating(boolean flag)` Sets whether or not tags will be validated.
`protected abstract void` | `start()` Implement this method and play with _xJavaDoc
`protected void` | `validateOptions()` Validate a Xdoclet task before running it.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XJavadocTask

    public XJavadocTask()

Method Detail

### getXJavaDoc

    protected XJavaDoc getXJavaDoc()

### setIgnoredtags

    public void setIgnoredtags(String tags)

  Sets the tags to ignore if validation is true. The value should be a comma-separated list of tag names (without the tag name)

  Parameters:
    `tags` - tags that should be ignored when doing validation.

### setValidating

    public void setValidating(boolean flag)

  Sets whether or not tags will be validated.

  Parameters:
    `flag` - validate?

### setEncoding

    public void setEncoding(String enc)

  set source file charset

  Parameters:
    `enc` - the encoding

### setDocencoding

    public void setDocencoding(String enc)

  set generated file charset

  Parameters:
    `enc` - the encoding

### execute

    public final void execute()
                       throws org.apache.tools.ant.BuildException

  Implementation of Ant's `Task.execute()`.

  Throws:
    `org.apache.tools.ant.BuildException` - Ant's way of reporting build exception

### createIgnoredtag

    public Object createIgnoredtag()

  Ignores one tag

  Returns:

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

  Ant's <fileset> definition. To define the files to parse.

  Parameters:
    `set` - a fileset to add

### getClasspath

    protected String getClasspath()

  Returns the classpath

  Returns:
    the classpath

### start

    protected abstract void start()
                           throws org.apache.tools.ant.BuildException

  Implement this method and play with _xJavaDoc

  Throws:
    `org.apache.tools.ant.BuildException` - Ant's way of reporting exception

### validateOptions

    protected void validateOptions()
                            throws org.apache.tools.ant.BuildException

  Validate a Xdoclet task before running it.

  Throws:
    `org.apache.tools.ant.BuildException` - in case the validation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.